Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.caucho.vfs
Class MemoryPath.MemoryStream

    java.lang.Object
      |
      +--com.caucho.vfs.StreamImpl
            |
            +--com.caucho.vfs.MemoryPath.MemoryStream

Enclosing class:
  MemoryPath

public class MemoryPath.MemoryStream
extends StreamImpl

Fields inherited from class com.caucho.vfs.StreamImpl
`path`

Method Summary
`boolean` | `canRead()`
`boolean` | `canWrite()`
`int` | `getAvailable()`
`int` | `getPosition()`
`int` | `read(byte[] buf, int bufOffset, int length)`
`void` | `setPosition(int pos)`
`void` | `write(byte[] buf, int offset, int length)`

Methods inherited from class com.caucho.vfs.StreamImpl
`clearWrite, close, flush, getAttribute, getAttributeNames, getFlushOnNewline, getNewline, getPath, removeAttribute, setAttribute, setPath, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getAvailable

    public int getAvailable()

  Overrides:
    getAvailable in class StreamImpl

### canRead

    public boolean canRead()

  Overrides:
    canRead in class StreamImpl

### read

    public int read(byte[] buf,
                    int bufOffset,
                    int length)
             throws java.io.IOException

  Overrides:
    read in class StreamImpl

### getPosition

    public int getPosition()

### setPosition

    public void setPosition(int pos)

### canWrite

    public boolean canWrite()

  Overrides:
    canWrite in class StreamImpl

### write

    public void write(byte[] buf,
                      int offset,
                      int length)
               throws java.io.IOException

  Overrides:
    write in class StreamImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD